<?php

namespace KupShop\RecommendersBundle\Recommenders;

use KupShop\CatalogBundle\ProductList\ProductCollection;

interface IRecommender
{
    public static function getName(array $data): string;

    public static function getType(): string;

    public function getTemplate(): ?string;

    public function getConfigurationVariables(array $data): array;

    public function execute(array $data, array $config): ProductCollection;
}
